GRPCK(8)

NOME
grpck - verifica l'integrità dei file dei gruppi

SINOSSI

grpck [opzioni] [gruppo [ shadow ]]

DESCRIZIONE

Il comando grpck verifica l'integrità delle informazioni sui gruppi. Ogni voce in /etc/groupe in /etc/gshadow viene controllata per verificare che abbia il formato corretto e dati validi. Viene richiesto all'utente di rimuovere le voci che non hanno un formato appropriato o che presentano altri errori impossibili da correggere.

Vengono fatti controlli per verificare che ogni voce abbia:

    • il corretto numero di campi

    • un nome univoco e valido di gruppo

    • un identificatore valido di gruppo (solo /etc/group)

    • un elenco valido di membrie amministratori

    • una voce corrispondente nel file /etc/gshadow (rispettivamente /etc/group per i controlli in gshadow)

Gli errori nelle verifiche sul corretto numero di campi e sull'univocità del nome del gruppo sono irrimediabili. Se una voce ha un numero errato di campi, all'utente viene chiesto di cancellare l'intera riga; se l'utente non risponde affermativamente, vengono omessi tutti gli ulteriori controlli. Viene richiesta la cancellazione anche per le voci aventi il nome del gruppo duplicato, ma i rimanenti controlli vengono ugualmente effettuati. Tutti gli altri errori non sono gravi e l'utente è invitato a eseguire il comando groupmod per correggerli.

I comandi che operano sui file /etc/group e /etc/gshadow non sono in grado di modificare voci corrotte o duplicate; in tali circostanze va usato grpck per rimuovere le voci scorrette.

OPZIONI

Le opzioni -r e -s non possono essere combinate.

Il comando grpck accetta le seguenti opzioni:

-h, --help
    Mostra un messaggio di aiuto ed esce.

-r, --read-only
    Esegue il comando grpck in sola lettura. Questo implica che sia risposto no automaticamente a tutte le domande relative alle modifiche.

-R, --root CHROOT_DIR
    Effettua le modifiche nella directory CHROOT_DIR e usa i file di configurazione dalla directory CHROOT_DIR.

-s, --sort
    Ordina le voci in /etc/group e /etc/gshadowper GID.

By default, grpck operates on /etc/group and /etc/gshadow. The user may select alternate files with the group and shadow parameters.

CONFIGURAZIONE

Le seguenti variabili di configurazione in /etc/login.defs cambiano il comportamento di questo strumento:

MAX_MEMBERS_PER_GROUP (numero)
    Numero massimo di membri per gruppo. Quando viene raggiunto il massimo, viene creata una nuova riga per il gruppo nel file /etc/group (con lo stesso nome, stessa password e stesso GID).

    Il valore predefinito è 0, che non pone nessun limite al numero di membri per gruppo.

    Questa opzione (dividi gruppo) permette di limitare la lunghezza delle righe nel file «group». Questo è utile per essere certi che le righe per gruppi NIS non eccedano i 1024 caratteri.

    Se si deve impostare questo limite, si può usare 25.

    Nota: la divisione dei gruppi potrebbe non essere supportata da ogni strumento (anche all'interno del pacchetto Shadow). Non si dovrebbe utilizzare questa variabile a meno di esserci forzati.

FILE

/etc/group
    Informazioni sugli account di gruppo.

/etc/gshadow
    Informazioni sicure sugli account di gruppo.

/etc/passwd
    Informazioni sugli account utente.

VALORI RESTITUITI

Il comando grpck restituisce i seguenti valori:

0
    successo

1
    sintassi del comando errata

2
    una o più voci di gruppo contengono errori

3
    impossibile aprire i file dei gruppi

4
    impossibile fare il lock dei file dei gruppi

5
    impossibile aggiornare i file dei gruppi

VEDERE ANCHE

group(5), groupmod(8), gshadow(5),passwd(5), pwck(8), shadow(5).